### Constructor

# Gegl Buffer linear_new

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_linear_new (
      const GeglRectangle* extent,
      const Babl* format
    )

#### Description [src]

Creates a GeglBuffer backed by a linear memory buffer, of the given `extent` in the specified `format`. babl_format (“R’G’B’A u8”) for instance to make a normal 8bit buffer.

This method is not directly available to language bindings.

#### Parameters

`extent`

  Type: `GeglRectangle`

  Dimensions of buffer.

  The data is owned by the caller of the function.

`format`

  Type: `Babl`

  Desired pixel format.

  The data is owned by the caller of the function.

#### Return value

Type: `GeglBuffer`

A GeglBuffer that can be used as any other GeglBuffer.

The caller of the function takes ownership of the data, and is responsible for freeing it.